<?php get_header(); ?>

	<?php if (have_posts()) : ?>
	
		<?php $post = $posts[0]; // Thanks Kubrick for this code ?>
		
		<?php if (is_category()) { ?>				
		<div id="category"><h2><?php _e('Archive for'); ?> <em><?php echo single_cat_title(); ?></em></h2></div>
		
 	  	<?php } elseif (is_day()) { ?>
		<div id="day"><h2><?php _e('Archive for'); ?> <em><?php the_time('F j, Y'); ?></em></h2></div>
		
	 	<?php } elseif (is_month()) { ?>
		<div id="month"><h2><?php _e('Archive for'); ?> <em><?php the_time('F, Y'); ?></em></h2></div>

		<?php } elseif (is_year()) { ?>
		<div id="year"><h2><?php _e('Archive for'); ?> <em><?php the_time('Y'); ?></em></h2></div>

		<?php } elseif (is_author()) { ?>
		<div id="author"><h2><?php _e('Author Archive'); ?></h2></div>

		<?php } elseif (is_search()) { ?>
		<div id="search"><h2><?php _e('Search Results'); ?></h2></div>

		<?php } ?>
				
		<?php while (have_posts()) : the_post(); ?>
		
			<div class="post" id="post-<?php the_ID(); ?>">

                <div class="posttime">
                    <em class="day"><?php the_time('d') ?></em>
                    <em class="month"><?php the_time('M') ?></em>
                    <em class="year"><?php the_time('Y') ?></em>
                </div>

				<h2 class="posttitle">
					<a href="<?php the_permalink() ?>" rel="bookmark" title="<?php _e('Permanent link to'); ?> <?php the_title(); ?>"><?php the_title(); ?></a>
				</h2>

				<p class="postcategory">
					<?php the_category(', ') ?>
					<span class="edit"><?php edit_post_link(__('Edit'), '', ''); ?></span>
				</p>
			
				<div class="postentry">
					<?php if (is_search()) { ?>
						<?php the_excerpt() ?>
					<?php } else { ?>
						<?php the_content(__('Read the rest of this entry &raquo;')); ?>
					<?php } ?>
				</div>

				<!-- Technorati Tags -->
				<?php if (function_exists('UTW_ShowTagsForCurrentPost')) { ?>
					<span class="utwtags">Tags: <?php UTW_ShowTagsForCurrentPost('commalist') ?>.</span>
				<?php } ?>

				<p class="postfeedback">
                    <?php comments_popup_link('No comments yet', '1 Comment','% comments', 'commentslink', 'Comments are off for this post'); ?>
				</p>

				<!--
				<?php trackback_rdf(); ?>
				-->
	
			</div>
				
		<?php endwhile; ?>

			<!-- Page Navigation -->
			<?php if (function_exists('wp_pagenavi')) : ?>
				<div class="pagenav-alt">
					<?php wp_pagenavi(); ?>
				</div>
			<?php else : ?>
			<div class="pagenav">
				<div class="alignleft"><?php next_posts_link('&laquo; Older Entries'); ?></div>
				<div class="alignright"><?php previous_posts_link('Newer Entries &raquo;'); ?></div>
			</div>
			<?php endif; ?>
		

	<?php else : ?>

		<h2><?php _e('404 Not Found'); ?></h2>

		<p><?php _e('Oops...! What you requested cannot be found.'); ?></p>

	<?php endif; ?>
		

<?php get_sidebar(); ?>

<?php get_footer(); ?>
