<?php get_header(); ?>

	<?php if (have_posts()) : while (have_posts()) : the_post(); ?>
		
		<div class="post" id="post-<?php the_ID(); ?>">
            <div class="posttime">
                <em class="day"><?php the_time('d') ?></em>
                <em class="month"><?php the_time('M') ?></em>
                <em class="year"><?php the_time('Y') ?></em>
            </div>

            <h2 class="posttitle">
            	<a href="<?php the_permalink() ?>" rel="bookmark" title="<?php _e('Permanent link to'); ?> <?php the_title(); ?>"><?php the_title(); ?></a>
            </h2>

            <p class="postcategory">
            	<?php the_category(', ') ?>
            	<span class="edit"><?php edit_post_link(__('Edit'), '', ''); ?></span>
            </p>

			<div class="postentry">
				<?php the_content(__('Read the rest of this entry &raquo;')); ?>
				<?php wp_link_pages(); ?>
			</div>

				<!-- Technorati Tags -->
				<?php if (function_exists('UTW_ShowTagsForCurrentPost')) { ?>
					<span class="utwtags"><?php UTW_ShowTagsForCurrentPost('technoraticommalist') ?>.</span>
				<?php } ?>

				<?php _e('&nbsp;'); ?>

				<!-- del.icio.us -->
				<span class="delicious">
					<a href="http://del.icio.us/post" class="deli" onclick="window.open('http://del.icio.us/post?v=4&amp;noui&amp;jump=close&amp;url='+encodeURIComponent(location.href)+'&amp;title='+encodeURIComponent(document.title), 'delicious','toolbar=no,width=700,height=400'); return false;"><?php _e(' <strong>del.icio.us this!</strong>'); ?></a>
				</span>
			
		</div>
		
		<?php comments_template(); ?>
				
	<?php endwhile; else : ?>
		<h2><?php _e('404 Not Found'); ?></h2>

		<p><?php _e('Either this page has been deleted or it doesn\'t exist. Please go to the main page'); ?></p>

	<?php endif; ?>

<?php get_sidebar(); ?>

<?php get_footer(); ?>